CVE-2004-0172
CVSS7.2
发布时间 :2004-03-15 00:00:00
修订时间 :2008-09-10 15:25:21
NMCS    

[原文]Heap-based buffer overflow in the search_for_command function of ltrace 0.3.10, if it is installed setuid, could allow local users to execute arbitrary code via a long filename. NOTE: It is unclear whether there are any packages that install ltrace as a setuid program, so this candidate might be REJECTed.


[CNNVD]LTrace Local Command Line Parameter Heap溢出漏洞(CNNVD-200403-060)

        ltrace 0.3.10版本的search_for_command函数存在基于堆的缓冲区溢出漏洞。如果安装setuid,本地用户借助长文件名执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0172
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0172
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200403-060
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/13389
(VENDOR_ADVISORY)  XF  ltrace-searchforcommand-bo(13389)
http://www.securityfocus.com/bid/8790
(VENDOR_ADVISORY)  BID  8790
http://securitytracker.com/id?1007896
(UNKNOWN)  SECTRACK  1007896
http://lists.grok.org.uk/pipermail/full-disclosure/2003-October/011610.html
(UNKNOWN)  FULLDISC  20031008 ltrace bug
http://lists.grok.org.uk/pipermail/full-disclosure/2003-October/011600.html
(UNKNOWN)  FULLDISC  20031008 ltrace bug

- 漏洞信息

LTrace Local Command Line Parameter Heap溢出漏洞
高危 缓冲区溢出
2004-03-15 00:00:00 2005-10-20 00:00:00
本地  
        ltrace 0.3.10版本的search_for_command函数存在基于堆的缓冲区溢出漏洞。如果安装setuid,本地用户借助长文件名执行任意代码。

- 公告与补丁

        The issue is reportedly addressed in ltrace 0.3.30. This has not been confirmed by Symantec.
        ---
        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息

LTrace Local Command Line Parameter Heap Overflow Vulnerability
Boundary Condition Error 8790
No Yes
2003-10-07 12:00:00 2009-07-11 11:56:00
Discovery is credited to "Abhisek Datta" <abhisek@linuxmail.org>.

- 受影响的程序版本

Juan Cespedes ltrace 0.3.10

- 漏洞讨论

ltrace has been reported prone to a heap buffer overflow vulnerability when handling command line arguments of excessive size. The issue is reported to present itself when ltrace handles command line arguments upward of 6000 bytes. The issue is likely due to a lack of sufficient boundary checks performed on command line arguments before they are copied into a reserved buffer in heap-based memory.

A local attacker may potentially exploit this condition to corrupt malloc chunk headers that are adjacent to the vulnerable buffer. Although unconfirmed, the attacker may leverage this condition to have arbitrary instructions executed with the privileges of ltrace. ltrace may be theoretically be installed setuid on some systems.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

The issue is reportedly addressed in ltrace 0.3.30. This has not been confirmed by Symantec.

---
Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站